/**
 * Zocial icon set component.
 * Usage: <Zocial name="icon-name" size={20} color="#4F8EF7" />
 */

import createIconSet from './lib/create-icon-set';
import Data from './selection.json';

let glyphMap = [];
Data.icons.forEach(element => {
    glyphMap[element.properties.name] = element.properties.code;
});

const iconSet = createIconSet(glyphMap, 'zocial', 'Zocial.ttf');

export default iconSet;

export const Button = iconSet.Button;
export const TabBarItem = iconSet.TabBarItem;
export const TabBarItemIOS = iconSet.TabBarItemIOS;
export const ToolbarAndroid = iconSet.ToolbarAndroid;
export const getImageSource = iconSet.getImageSource;

